// note: typically place qer_ directives first,
// then q3map_ directives, then surfaceparm, cull, vertexdeform, etc


// Casts shadows the same color as the shader
// apply the shader surface to the surface facing the light

textures/mp_science/blind_small_blue_01
{
	//q3map_invert

	surfaceparm trans
	surfaceparm lightfilter
	surfaceparm alphashadow

	cull none

	{
		map textures/mp_science/blind_small_blue_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE
		// blendfunc filter
		depthFunc equal
		rgbGen identity
		tcGen lightmap
	}
}

textures/mp_science/blind_large_blue_01
{
	//q3map_invert

	surfaceparm trans
	surfaceparm lightfilter
	surfaceparm alphashadow

	cull none

	{
		map textures/mp_science/blind_large_blue_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE
		// blendfunc filter
		depthFunc equal
		rgbGen identity
		tcGen lightmap
	}
}

textures/mp_science/light_m16_5k
{
    //small white KP light
    qer_editorimage textures/lights/light_m16.tga
    q3map_surfacelight 5000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m16.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m16.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/light_m16_10k
{
    //small white KP light
    qer_editorimage textures/lights/light_m16.tga
    q3map_surfacelight 10000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m16.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m16.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/light_m16_15k
{
    //small white KP light
    qer_editorimage textures/lights/light_m16.tga
    q3map_surfacelight 15000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m16.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m16.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/light_m16_20k
{
    //small white KP light
    qer_editorimage textures/lights/light_m16.tga
    q3map_surfacelight 20000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/lights/light_m16.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_m16.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/grill_light_250
{
    qer_editorimage textures/mp_science/grill_light.tga
    q3map_surfacelight 250
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/grill_light.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mp_science/grill_light.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/sign_tall_attentiondisorder
{
    qer_editorimage textures/mp_science/sign_tall_attentiondisorder.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_attentiondisorder.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_attentiondisorder.tga
        blendFunc add
    }
}

textures/mp_science/sign_tall_crime
{
    qer_editorimage textures/mp_science/sign_tall_crime.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_crime.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_crime.tga
        blendFunc add
    }
}

textures/mp_science/sign_tall_etna
{
    qer_editorimage textures/mp_science/sign_tall_etna.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_etna.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_etna.tga
        blendFunc add
    }
}

textures/mp_science/sign_tall_tutankamun
{
    qer_editorimage textures/mp_science/sign_tall_tutankamun.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_tutankamun.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_tall_tutankamun.tga
        blendFunc add
    }
}

textures/mp_science/sign_launchpad_big
{
    qer_editorimage textures/mp_science/sign_launchpad_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_launchpad_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_launchpad_big.tga
        blendFunc add
    }
}



textures/mp_science/sign_deepblue_big
{
    qer_editorimage textures/mp_science/sign_deepblue_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_deepblue_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_deepblue_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_antenna_big
{
    qer_editorimage textures/mp_science/sign_antenna_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_antenna_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_antenna_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_information_big
{
    qer_editorimage textures/mp_science/sign_information_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_information_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_information_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_patternpod_big
{
    qer_editorimage textures/mp_science/sign_patternpod_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_patternpod_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_patternpod_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_infuture_big
{
    qer_editorimage textures/mp_science/sign_infuture_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_infuture_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_infuture_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_whoami_big
{
    qer_editorimage textures/mp_science/sign_whoami_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_whoami_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_whoami_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_digitopolis_big
{
    qer_editorimage textures/mp_science/sign_digitopolis_big.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_digitopolis_big.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_digitopolis_big.tga
        blendFunc add
    }
}

textures/mp_science/sign_imax
{
    qer_editorimage textures/mp_science/sign_imax.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_imax.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_imax.tga
        blendFunc add
    }
}

textures/mp_science/sign_imaxtimetable
{
    qer_editorimage textures/mp_science/sign_imaxtimetable.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_imaxtimetable.tga
        blendFunc filter
        rgbGen identity
    }
}

textures/mp_science/sign_map_thirdfloor
{
    qer_editorimage textures/mp_science/sign_map_thirdfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_thirdfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_thirdfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map_secondfloor
{
    qer_editorimage textures/mp_science/sign_map_secondfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_secondfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_secondfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map_firstfloor
{
    qer_editorimage textures/mp_science/sign_map_firstfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_firstfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_firstfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map_lift_groundfloor
{
    qer_editorimage textures/mp_science/sign_map_lift_groundfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_lift_groundfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map_lift_groundfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map2_thirdfloor
{
    qer_editorimage textures/mp_science/sign_map2_thirdfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_thirdfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_thirdfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map2_secondfloor
{
    qer_editorimage textures/mp_science/sign_map2_secondfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_secondfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_secondfloor.tga
        blendFunc add
    }
}

textures/mp_science/sign_map2_firstfloor
{
    qer_editorimage textures/mp_science/sign_map2_firstfloor.tga
    q3map_surfacelight 1000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_firstfloor.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_map2_firstfloor.tga
        blendFunc add
    }
}


textures/mp_science/light_purple01_20k
{
    qer_editorimage textures/mp_science/light_purple01.tga
    q3map_surfacelight 20000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/light_purple01_15k
{
    qer_editorimage textures/mp_science/light_purple01.tga
    q3map_surfacelight 15000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/mp_science/light_purple01_10k
{
    qer_editorimage textures/mp_science/light_purple01.tga
    q3map_surfacelight 10000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/mp_science/light_purple01.tga
        blendFunc GL_ONE GL_ONE
    }
}

//textures/mp_science/panel_light_orange_250_old
//{
//    qer_editorimage textures/mp_science/panel_light_orange.tga
//    q3map_surfacelight 250
//    //q3map_backsplash 0 0
//    surfaceparm nomarks
//    {
//        map $lightmap
//        rgbGen identity
//    }
//    {
//        map textures/mp_science/panel_light_orange.tga
//        blendFunc GL_DST_COLOR GL_ZERO
//        rgbGen identity
//    }
//    {
//        map textures/mp_science/panel_light_orange.tga
//        blendFunc GL_ONE GL_ONE
//    }
//}

textures/mp_science/panel_light_orange_250
{
	qer_editorimage textures/mp_science/panel_light_orange.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/mp_science/panel_light_orange.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}


//textures/mp_science/wall_gtca_old
//{
//	surfaceparm trans
//	surfaceparm lightfilter
//	cull none
//	q3map_surfacelight 100
//	{
//		map textures/mp_science/wall_gtca.tga
//		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		rgbGen identity
//		depthWrite
//		alphaFunc GT0
//	}
//	{
//		map $lightmap
//		//blendfunc GL_DST_COLOR GL_ONE
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//		depthFunc equal
//	}
//	{
//		map textures/mp_science/wall_gtca.blend.tga
//		blendfunc add
//		rgbGen identity
//	}
//}

//textures/mp_science/wall_gtca_old2
//{
//	surfaceparm trans
//	surfaceparm lightfilter
//	cull disable
//	q3map_surfacelight 100
//	{
//		map textures/mp_science/wall_gtca.tga
//		blendfunc gl_src_color gl_one_minus_src_alpha
//		rgbGen identity
//		depthWrite
//	}
//	{
//		map textures/mp_science/wall_gtca.blend.tga
//		blendfunc gl_one_minus_src_alpha gl_one
//		rgbGen identity
//		depthWrite
//	}
//	{
//		map $lightmap
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//		depthFunc equal
//	}
//}

// causes flickering
textures/mp_science/wall_gtca_good
{
	qer_editorimage textures/mp_science/wall_gtca_good.tga
	surfaceparm trans
	surfaceparm lightfilter
	cull none
	q3map_surfacelight 100
	{
		map textures/mp_science/wall_gtca_good.tga
		blendfunc gl_src_color gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map textures/mp_science/wall_gtca_good.blend.tga
		blendfunc gl_one_minus_src_alpha gl_one
		rgbGen identity
	}
}

textures/mp_science/wall_gtca_ydnar
{
	// by ydnar
	qer_editorimage textures/mp_science/wall_gtca_good.tga
	q3map_surfacelight 100

	surfaceparm pointlight
	surfaceparm trans
	surfaceparm lightfilter

	cull disable

	{
		map textures/mp_science/wall_gtca_good.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
	}
	{
		map textures/mp_science/wall_gtca_good.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}

textures/mp_science/wall_gtca_ifwehaveto
{
	q3map_surfacelight 10

	//surfaceparm pointlight
	surfaceparm trans
	surfaceparm lightfilter

	cull disable
//	{
//		map textures/mp_science/wall_gtca.tga
//		blendfunc gl_one_minus_src_alpha gl_one
//		rgbGen identity
//	}
	{
		map textures/mp_science/wall_gtca.tga
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
}

textures/mp_science/displaycase_frame_01
{
	qer_trans 0.8

	//surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact

	cull none
	//q3map_surfacelight 10
	{
		map textures/mp_science/displaycase_frame_01.tga
		blendfunc gl_zero gl_one_minus_src_alpha
		rgbGen identity
	}
}

textures/mp_science/displaycase_light_01
{
	//small white KP light
	qer_editorimage textures/lights/light_m16.tga
	q3map_surfacelight 500
	surfaceparm pointlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m16.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mp_science/light_long_1k
{
	qer_editorimage textures/mp_science/light_long.tga
	q3map_surfacelight 1000
	surfaceparm pointlight
	//surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/light_long.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mp_science/light_long.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mp_science/light_long_5k
{
	qer_editorimage textures/mp_science/light_long.tga
	q3map_surfacelight 5000
	surfaceparm pointlight
	//surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/light_long.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mp_science/light_long.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mp_science/light_long_green_1k
{
	qer_editorimage textures/mp_science/light_long_green.tga
	q3map_surfacelight 1000
	surfaceparm pointlight
	//surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/light_long_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mp_science/light_long.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mp_science/panel_light_green
{
	qer_editorimage textures/mp_science/panel_light_green.tga
	q3map_surfacelight 50
	surfaceparm pointlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/panel_light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mp_science/panel_light_green.blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mp_science/wall_blue_panel_light
{
	qer_editorimage textures/mp_science/wall_blue_panel.tga
	q3map_surfacelight 100
	q3map_backsplash 0 0

	surfaceparm pointlight
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/wall_blue_panel.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/mp_science/wall_blue_panel_light_dark
{
	qer_editorimage textures/mp_science/wall_blue_panel_dark.tga
	q3map_surfacelight 50
	q3map_backsplash 0 0
	surfaceparm pointlight
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mp_science/wall_blue_panel_dark.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/mp_science/light_spotlight_white_20k
{
    qer_editorimage textures/mp_science/color_white.tga
    q3map_surfacelight 20000
    //q3map_backsplash 0 0
    surfaceparm nomarks
    surfaceparm pointlight
    {
        map textures/mp_science/color_white.tga
        rgbGen identity
    }
}

textures/mp_science/light_spotlight_white_10k
{
    qer_editorimage textures/mp_science/color_white.tga
    q3map_surfacelight 10000
    //q3map_backsplash 0 0
    surfaceparm pointlight
    surfaceparm nomarks
    {
        map textures/mp_science/color_white.tga
        rgbGen identity
    }
}

textures/mp_science/light_panel_white
{
    qer_editorimage textures/mp_science/color_white.tga
    q3map_surfacelight 250
    q3map_backsplash 0 0
    surfaceparm nomarks
    {
        map textures/mp_science/color_white.tga
        rgbGen identity
    }
}

textures/mp_science/ceiling_grill
{
	qer_trans 0.8
	nopicmip
	surfaceparm trans
	cull none
	{
		map textures/mp_science/ceiling_grill.tga
		blendfunc blend
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
}

//textures/mp_science/kiosk_green_01
//{
//	// swap two halves of an image over, once every second
//      // Note: I did this before i discovered animMap - lol.  Still, quite cool though :)
//	{
//		map textures/mp_science/kiosk_green_01.tga
//	}
//	{
//		map textures/mp_science/kiosk_green_01.tga
//		blendfunc gl_one_minus_src_alpha gl_src_alpha
//		tcMod transform 1 0 0 1 0.5 0   // shift texture across by half of the width
//		alphaGen wave square 0 1 1 0.5
//	}
//	{
//		map $lightmap
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//	}
//}

textures/mp_science/kiosk_green_01
{
	{
		animmap 1 textures/mp_science/kiosk_green_01.tga textures/mp_science/kiosk_green_02.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/mp_science/sign_digital_01
{
	qer_editorimage textures/mp_science/sign_digital_01_image01.tga
	{
		animmap 0.33 textures/mp_science/sign_digital_01_image01.tga textures/mp_science/sign_digital_01_image02.tga textures/mp_science/sign_digital_01_image03.tga
	}
}

//textures/mp_science/glass_green
//{
//	qer_trans 0.2
//	surfaceparm trans
//	surfaceparm lightfilter
//	cull none
//	{
//		map textures/mp_science/glass_green.tga
//		blendfunc blend
//		rgbGen identity
//		depthWrite
//	}
//	{
//		map $lightmap
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//		depthFunc equal
//	}
//}

//textures/mp_science/glass_grey
//{
//	qer_trans 0.2
//	nopicmip
//	surfaceparm trans
//	surfaceparm lightfilter
//	cull none
//	{
//		map textures/mp_science/glass_grey.tga
//		blendfunc blend
//		rgbGen identity
//		depthWrite
//	}
//	{
//		map $lightmap
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap
//		depthFunc equal
//	}
//}

textures/mp_science/glass_grey
{
	qer_trans 0.2
	surfaceparm trans
	surfaceparm lightfilter
	cull none
	{
		map textures/mp_science/glass_grey.tga
//		blendfunc gl_zero gl_one_minus_src_alpha
		blendfunc filter
		rgbGen identity
	}
}

textures/mp_science/glass_green
{
	qer_trans 0.2
	surfaceparm trans
	surfaceparm lightfilter
	cull none
	{
		map textures/mp_science/glass_green.tga
//		blendfunc gl_zero gl_one_minus_src_alpha
		blendfunc filter
		rgbGen identity
	}
}

textures/mp_science/displaycase_glowingplastic
{
	qer_trans 0.5
	surfaceparm trans
	cull none
	{
		map textures/mp_science/displaycase_glowingplastic.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/mp_science/displaycase_flowers
{
	qer_trans 0.5
	surfaceparm trans
	cull none
	{
		map textures/mp_science/displaycase_flowers.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/mp_science/displaycase_wherelooksfrom
{
	qer_trans 0.5
	surfaceparm trans
	cull none
	{
		map textures/mp_science/displaycase_wherelooksfrom.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/mp_science/wall_gtca
{
	q3map_surfacelight 50
	{
		map textures/mp_science/wall_gtca.tga
		rgbGen identity
	}
}

//textures/mp_science/invisible
//{
//	qer_editorimage textures/common/nodraw.tga
//	qer_trans 0.3

//	surfaceparm nonsolid
//	surfaceparm nomarks
//	surfaceparm noimpact
//	surfaceparm areaportal
// 	{
// 		map $whiteimage
// 		alphaFunc GT0
// 		alphaGen const 0.0
// 	}
//}

textures/mp_science/sign_fireexit
{
    qer_editorimage textures/mp_science/sign_fireexit.tga
    q3map_surfacelight 4000
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_fireexit.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_fireexit.tga
        blendFunc add
    }
}

textures/mp_science/computer_hydrairc
{
    qer_editorimage textures/mp_science/computer_hydrairc.tga
    q3map_surfacelight 25
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/computer_hydrairc.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/computer_hydrairc.tga
        blendFunc add
    }
}

textures/mp_science/sign_hand
{
    qer_editorimage textures/mp_science/sign_hand.tga
    q3map_surfacelight 25
    surfaceparm nomarks
    //surfaceparm pointlight
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mp_science/sign_hand.tga
        blendFunc filter
        rgbGen identity
    }
    {
        map textures/mp_science/sign_hand.tga
        blendFunc add
    }
}

textures/mp_science/floor_2ndfloor
{
  q3map_surfacelight 25
  q3map_lightimage textures/mp_science/floor_2ndfloor.blend.tga

	{
		map textures/mp_science/floor_2ndfloor.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/mp_science/floor_2ndfloor.blend.tga
		blendfunc add
		tcMod scroll 0.15 0
	}
}

textures/mp_science/floor_light01
{
    qer_editorimage textures/mp_science/floor_light01.tga
    q3map_surfacelight 250
    q3map_backsplash 0 0
    surfaceparm nomarks
    {
        map textures/mp_science/floor_light01.tga
        rgbGen identity
    }
}

textures/mp_science/floor_light02
{
    qer_editorimage textures/mp_science/floor_light02.tga
    q3map_surfacelight 250
    q3map_backsplash 0 0
    surfaceparm nomarks
    {
        map textures/mp_science/floor_light02.tga
        rgbGen identity
    }
}

textures/mp_science/floor_light03
{
    qer_editorimage textures/mp_science/floor_light03.tga
    q3map_surfacelight 250
    q3map_backsplash 0 0
    surfaceparm nomarks
    {
        map textures/mp_science/floor_light03.tga
        rgbGen identity
    }
}

textures/mp_science/sign_greenbodies
{
    qer_editorimage textures/mp_science/sign_greenbodies.tga
    q3map_surfacelight 250
    q3map_backsplash 0 0
    surfaceparm nomarks
    {
        map textures/mp_science/sign_greenbodies.tga
        rgbGen identity
    }
}
